Bug 23315 - Update request: kernel-4.14.56-1.mga6
Summary: Update request: kernel-4.14.56-1.mga6
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: mga6-64-ok, mga6-32-ok
Keywords: advisory, validated_update
Depends on: 23313 23314
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-17 13:20 CEST by Thomas Backlund
Modified: 2018-08-10 11:37 CEST (History)
7 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2018-07-17 13:20:47 CEST
Updates to 4.14.56, fixing several security fixes, a possible data corruption on ext4, and enables support for Mellanox5 (mga#23263), SMARTPQI support (mga#23305), and more support for installing on Intel Cannon Lake and Ice Lake, and fixes some regressions introduced in 4.14.4x

A better advisory will follow...



SRPMS:
kernel-4.14.56-1.mga6.src.rpm
kernel-userspace-headers-4.14.56-1.mga6.src.rpm

kmod-vboxadditions-5.2.14-6.mga6.src.rpm
kmod-virtualbox-5.2.14-6.mga6.src.rpm
kmod-xtables-addons-2.13-48.mga6.src.rpm


i586:
cpupower-4.14.56-1.mga6.i586.rpm
cpupower-devel-4.14.56-1.mga6.i586.rpm
kernel-desktop-4.14.56-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.56-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.56-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.56-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.56-1.mga6.i586.rpm
kernel-desktop-devel-4.14.56-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.56-1.mga6.i586.rpm
kernel-desktop-latest-4.14.56-1.mga6.i586.rpm
kernel-doc-4.14.56-1.mga6.noarch.rpm
kernel-server-4.14.56-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.56-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.56-1.mga6.i586.rpm
kernel-server-latest-4.14.56-1.mga6.i586.rpm
kernel-source-4.14.56-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.56-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.56-1.mga6.i586.rpm
perf-4.14.56-1.mga6.i586.rpm

vboxadditions-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.i586.rpm
vboxadditions-kernel-4.14.56-desktop586-1.mga6-5.2.14-6.mga6.i586.rpm
vboxadditions-kernel-4.14.56-server-1.mga6-5.2.14-6.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.14-6.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.14-6.mga6.i586.rpm

virtualbox-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.i586.rpm
virtualbox-kernel-4.14.56-desktop586-1.mga6-5.2.14-6.mga6.i586.rpm
virtualbox-kernel-4.14.56-server-1.mga6-5.2.14-6.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.14-6.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.14-6.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.14-6.mga6.i586.rpm

xtables-addons-kernel-4.14.56-desktop-1.mga6-2.13-48.mga6.i586.rpm
xtables-addons-kernel-4.14.56-desktop586-1.mga6-2.13-48.mga6.i586.rpm
xtables-addons-kernel-4.14.56-server-1.mga6-2.13-48.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-48.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-48.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-48.mga6.i586.rpm


x86_64:
cpupower-4.14.56-1.mga6.x86_64.rpm
cpupower-devel-4.14.56-1.mga6.x86_64.rpm
kernel-desktop-4.14.56-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.56-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.56-1.mga6.x86_64.rpm
kernel-doc-4.14.56-1.mga6.noarch.rpm
kernel-server-4.14.56-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.56-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.56-1.mga6.x86_64.rpm
kernel-server-latest-4.14.56-1.mga6.x86_64.rpm
kernel-source-4.14.56-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.56-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.56-1.mga6.x86_64.rpm
perf-4.14.56-1.mga6.x86_64.rpm

vboxadditions-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64.rpm
vboxadditions-kernel-4.14.56-server-1.mga6-5.2.14-6.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.14-6.mga6.x86_64.rpm

virtualbox-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64.rpm
virtualbox-kernel-4.14.56-server-1.mga6-5.2.14-6.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.14-6.mga6.x86_64.rpm

xtables-addons-kernel-4.14.56-desktop-1.mga6-2.13-48.mga6.x86_64.rpm
xtables-addons-kernel-4.14.56-server-1.mga6-2.13-48.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-48.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-48.mga6.x86_64.rpm
Comment 1 Thomas Backlund 2018-07-17 13:27:51 CEST
Already in use on Mageia infra, my own server, workstation and laptop
Comment 2 Len Lawrence 2018-07-17 18:12:16 CEST
Installed these packages:
- cpupower-4.14.56-1.mga6.x86_64
- cpupower-devel-4.14.56-1.mga6.x86_64
- kernel-desktop-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64
- kernel-desktop-latest-4.14.56-1.mga6.x86_64
- kernel-doc-4.14.56-1.mga6.noarch
- kernel-source-4.14.56-1.mga6-1-1.mga6.noarch
- kernel-source-latest-4.14.56-1.mga6.noarch
- kernel-userspace-headers-4.14.56-1.mga6.x86_64
- vboxadditions-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64
- virtualbox-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64
- xtables-addons-kernel-4.14.56-desktop-1.mga6-2.13-48.mga6.x86_64
- xtables-addons-kernel-desktop-latest-2.13-48.mga6.x86_64
and
perf-4.14.56-1.mga6.x86_64

nvidia-current rebuilt.
Rebooted to Mate desktop.
Everything working as expected.  Ran stress tests including glmark2.  NFS shares working.   Launched a 32-bit mga5 guest in virtualbox - all OK.

System:    Host: difda Kernel: 4.14.56-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790 (-HT-MCP-) speed/max: 3812/4000 MHz
Machine:   Device: desktop Mobo: MSI model: Z97-G43 (MS-7816) v: 3.0
Graphics:  Card: NVIDIA GM204 [GeForce GTX 970]
           GLX Version: 4.6.0 NVIDIA 390.59
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169
RAM:       31.37 GB

CC: (none) => tarazed25

Comment 3 Len Lawrence 2018-07-17 23:33:13 CEST
Installed kernel packages and rebooted to desktop.
System:    Host: vega Kernel: 4.14.56-desktop-1.mga6 x86_64
CPU:       Quad core Intel Core i7-4790K (-HT-MCP-) speed/max: 4399/4400 MHz
Machine:   Device: desktop Mobo: Gigabyte model: G1.Sniper Z97 v: x.x
Graphics:  Card-2: NVIDIA GK104 [GeForce GTX 770]
           GLX Version: 4.6.0 NVIDIA 390.59
Network:   Card-1: Qualcomm Atheros Killer E220x Gigabit Ethernet Controller
           driver: alx
RAM:       15.35 GB

Ran stress tests as usual.  teapot running at 2200 fps.  Ran stellarium - which identified some of the brighter stars and planets in the twilight sky.  celestia works, libreoffice writer, kmahjongg, vlc connected to free-to-air HD TV, bluetooth sound, vlc with video files, wifi printing from LO,the Gimp for simple image manipulations.....  No obvious problems.
Thomas Backlund 2018-07-18 00:45:07 CEST

Depends on: (none) => 23313, 23314

Comment 4 Morgan Leijström 2018-07-18 02:19:41 CEST
Two machines updated to all updates in all updates_testing repos.
kernel 4.14.56-1 installed cleanly, rebooted, tested OK:

1)  64 bit OK on my workstation: i7-2600K, Nvidia GTX750 (GM107) using proprietary driver GeForce 420 and later, with CUDA & OpenCL detected OK in BOINC, LVM on LUKS on SSD, VirtualBox running MSW7, Plasma5.12 etc, video in Firefox,,, 

2) 64 bit on laptop Thinkpad T60, CPU core2Duo T5600, ati RV515/M54 X1400, wifi AR5418, LVM on LUKS on SSD. Resume from suspend and hibernation *) OK except wifi need to be reconnected manually :/  (regression)
(Quirk: like earlier kernel updates it need to be rebooted one extra time to work properly, or else it returns to suspend when being waked up and always need a second wake up every wake up until rebooted.)

*) using Fn+F4 and Fn+F12 respectively - Somehow the Plasma battery icon have gone missing and logout menu do not contain suspend nor hibernate any longer!

CC: (none) => fri

Comment 5 Thomas Andrews 2018-07-18 04:50:55 CEST
Real MBR hardware, Athlon X2, 8GB, nvidia 9800GT video, Atheros wifi. 64-bit Plasma system, using the server kernel.

Updated microcode, nonfree firmware, and server kernel in one operation. Packages all installed cleanly. Rebooted, tried all the usual suspects, no regressions noted.

CC: (none) => andrewsfarm

Comment 6 ben mcmonagle 2018-07-18 08:52:27 CEST
Mga6 on real 32bit hardware (lxde/lxqt desktop system)

uname -r
4.14.50-desktop-2.mga6

$ lscpu
Architecture:          i686
CPU op-mode(s):        32-bit

AMD Athlon(tm) XP 2400+

Flags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
                       mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 
                       3dnow cpuid 3dnowprefetch vmmcall

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       4.14.56      1.mga6        i586    
  kernel-desktop-4.14.56-1.mga6  1            1.mga6        i586    
  kernel-desktop-devel-4.14.56-> 1            1.mga6        i586    
  kernel-desktop-devel-latest    4.14.56      1.mga6        i586    
  kernel-desktop-latest          4.14.56      1.mga6        i586    
(medium "Nonfree Updates Testing (distrib15)")
  kernel-firmware-nonfree        20180606     1.mga6.nonfr> noarch  
  microcode                      0.20180703   1.mga6.nonfr> noarch  
  radeon-firmware                20180606     1.mga6.nonfr> noarch  
99MB of additional disk space will be used.
116MB of packages will be retrieved.
Proceed with the installation of the 8 packages? (Y/n) y

nvidia304 (304.137-2.mga6.nonfree): Installing module.
....................................................................
.............
Creating: target|kernel|dracut args|basicmodules 

reboot to working desktop (LXDE)

uname -r
4.14.56-desktop-1.mga6

as unit is a very old desktop, cannot check many special functions

usb stick detected.
vlc mediaplayer (.mp4 sound and video) from usb -ok
firefox -ok

CC: (none) => westel

Comment 7 Thomas Andrews 2018-07-18 14:22:29 CEST
Real hardware, HP 6550b, i3,8GB, Intel graphics, Intel wifi, 64-bit Plasma system, using the desktop kernel.

Performed the same tests as in Comment 5, with the same results.
Comment 8 James Kerr 2018-07-18 16:07:19 CEST
on mga6-64   plasma

packages installed cleanly:
- microcode-0.20180703-1.mga6.nonfree.noarch
- iwlwifi-firmware-20180606-1.mga6.nonfree.noarch
- kernel-firmware-nonfree-20180606-1.mga6.nonfree.noarch
- radeon-firmware-20180606-1.mga6.nonfree.noarch
- ralink-firmware-20180606-1.mga6.nonfree.noarch
- rtlwifi-firmware-20180606-1.mga6.nonfree.noarch
- cpupower-4.14.56-1.mga6.x86_64
- kernel-desktop-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64
- kernel-desktop-latest-4.14.56-1.mga6.x86_64
- kernel-userspace-headers-4.14.56-1.mga6.x86_64
- virtualbox-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64

system re-booted normally:
$ uname -r
4.14.56-desktop-1.mga6

common applications - OK

no regressions noted

vbox and clients launched normally

OK for mga6-64 on this system:

Machine:   Device: desktop System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]: Dell v: 2.8.1
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)         
Graphics:  Card: Intel HD Graphics 530
Network:   Card: Intel Ethernet Connection (2) I219-LM driver: e1000e

CC: (none) => jim

Comment 9 James Kerr 2018-07-19 16:50:25 CEST
on mga6-64   xfce

packages installed cleanly:
- cpupower-4.14.56-1.mga6.x86_64
- dkms-nvidia-current-390.77-1.1.mga6.nonfree.x86_64
- iwlwifi-firmware-20180606-1.mga6.nonfree.noarch
- kernel-desktop-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64
- kernel-desktop-latest-4.14.56-1.mga6.x86_64
- kernel-firmware-nonfree-20180606-1.mga6.nonfree.noarch
- kernel-userspace-headers-4.14.56-1.mga6.x86_64
- microcode-0.20180703-1.mga6.nonfree.noarch
- nvidia-current-doc-html-390.77-1.1.mga6.nonfree.x86_64
- radeon-firmware-20180606-1.mga6.nonfree.noarch
- ralink-firmware-20180606-1.mga6.nonfree.noarch
- rtlwifi-firmware-20180606-1.mga6.nonfree.noarch
- x11-driver-video-nvidia-current-390.77-1.1.mga6.nonfree.x86_64

system re-booted normally:
$ uname -r
4.14.56-desktop-1.mga6
# dkms status -m nvidia-current
nvidia-current, 390.77-1.1.mga6.nonfree, 4.14.56-desktop-1.mga6, x86_64: installed

common applications OK

OK for mga6-64 on this system:
Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M
CPU:       Quad core AMD Phenom 9500 (-MCP-)
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
Network:   Card: NVIDIA MCP67 Ethernet driver: forcedeth
Comment 10 Len Lawrence 2018-07-19 21:03:50 CEST
Installed:
- cpupower-4.14.56-1.mga6.x86_64
- kernel-desktop-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64
- kernel-desktop-latest-4.14.56-1.mga6.x86_64
- kernel-doc-4.14.56-1.mga6.noarch
- kernel-userspace-headers-4.14.56-1.mga6.x86_64
cpupower-devel
kernel-source-latest
perf
xtables-addons-kernel-desktop-latest

Booted to working Mate DE.

System:    Host: markab Kernel: 4.14.56-desktop-1.mga6
CPU:       Quad core Intel Core i7-5700HQ (-HT-MCP-)
Machine:   Device: laptop System: GIGABYTE product: X5
Graphics:  Card-1: NVIDIA GM204M [GeForce GTX 965M]
           GLX Version: 4.6.0 NVIDIA 390.59
Network:   Card-2: Intel Wireless 7265 driver: iwlwifi
RAM:       15.62 GB

Ran stress tests, graphics and video applications.  Wifi,
NFS shares, bluetooth sound all OK.
Comment 11 James Kerr 2018-07-20 11:34:09 CEST
on mga6-32  xfce

packages installed cleanly:
- cpupower-4.14.56-1.mga6.i586
- dkms-nvidia-current-390.77-1.1.mga6.nonfree.i586
- iwlwifi-firmware-20180606-1.mga6.nonfree.noarch
- kernel-firmware-nonfree-20180606-1.mga6.nonfree.noarch
- kernel-server-4.14.56-1.mga6-1-1.mga6.i586
- kernel-server-devel-4.14.56-1.mga6-1-1.mga6.i586
- kernel-server-devel-latest-4.14.56-1.mga6.i586
- kernel-server-latest-4.14.56-1.mga6.i586
- kernel-userspace-headers-4.14.56-1.mga6.i586
- microcode-0.20180703-1.mga6.nonfree.noarch
- nvidia-current-doc-html-390.77-1.1.mga6.nonfree.i586
- radeon-firmware-20180606-1.mga6.nonfree.noarch
- ralink-firmware-20180606-1.mga6.nonfree.noarch
- rtlwifi-firmware-20180606-1.mga6.nonfree.noarch
- x11-driver-video-nvidia-current-390.77-1.1.mga6.nonfree.i586

system re-booted normally:
$ uname -r
4.14.56-server-1.mga6
# dkms status -m nvidia-current
nvidia-current, 390.77-1.1.mga6.nonfree, 4.14.50-server-2.mga6, i586: installed 
nvidia-current, 390.77-1.1.mga6.nonfree, 4.14.56-server-1.mga6, i586: installed

no regressions noted
common applications OK

OK for mga6-32 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M 
CPU:       Quad core AMD Phenom 9500 (-MCP-)
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
Network:   Card: NVIDIA MCP67 Ethernet driver: forcedeth
Comment 12 Thomas Andrews 2018-07-20 14:10:59 CEST
Real hardware, Dell Inspiron 5100, P4, 1GB RAM, Radeon 7500 graphics, old Atheros wifi. Running 32-bit Plasma, using the VESA video driver because the radeon driver won't work with Plasma on this system.

Updated microcodes, nonfree firmware, and the desktop kernel all in one operation. Packages all installed cleanly. Reboot successful, no regressions noted.
Comment 13 William Kenney 2018-07-22 23:48:35 CEST
On real hardware, M6, Plasma, 64-bit

initial install:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

The following 10 packages are going to be installed:

- dkms-virtualbox-5.2.14-1.mga6.noarch
- vboxadditions-kernel-4.14.50-desktop-2.mga6-5.2.14-1.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.14-1.mga6.x86_64
- virtualbox-5.2.14-1.mga6.x86_64
- virtualbox-doc-5.1.30-1.mga6.noarch
- virtualbox-guest-additions-5.2.14-1.mga6.x86_64
- virtualbox-kernel-4.14.50-desktop-2.mga6-5.2.14-1.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-1.mga6.x86_64
- x11-driver-video-vboxvideo-5.2.14-1.mga6.x86_64
- xrandr-1.5.0-1.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.50-desktop-2.mga6 #1 SMP Mon Jun 18 11:23:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.50-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.14-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.50-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.59-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.50-2.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Using:
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

install from update_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current

The following 14 packages are going to be installed:

- dkms-nvidia-current-390.77-1.1.mga6.nonfree.x86_64
- kernel-desktop-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.56-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64
- kernel-desktop-latest-4.14.56-1.mga6.x86_64
- kernel-firmware-nonfree-20180606-1.mga6.nonfree.noarch
- microcode-0.20180703-1.mga6.nonfree.noarch
- nvidia-current-doc-html-390.77-1.1.mga6.nonfree.x86_64
- radeon-firmware-20180606-1.mga6.nonfree.noarch
- vboxadditions-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64
- virtualbox-kernel-4.14.56-desktop-1.mga6-5.2.14-6.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64
- x11-driver-video-nvidia-current-390.77-1.1.mga6.nonfree.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 19:36:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.14-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.77-1.1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Mageia-6-LiveDVD-Xfce-i586-DVD.iso
Still works as a Vbox client. Boots to a working desktop.

Mageia-6-LiveDVD-GNOME-x86_64-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

Mageia-6-LiveDVD-Plasma-x86_64-DVD.iso
Installs as a Vbox client. Boots to a working desktop.
Updates then reboots back to a working desktop.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)

CC: (none) => wilcal.int

Comment 14 Rémi Verschelde 2018-07-23 15:15:02 CEST
Tested OK on Mageia 6 x86_64, system described in bug 23316 comment 7.
Comment 15 Rémi Verschelde 2018-07-23 15:15:30 CEST
(In reply to Rémi Verschelde from comment #14)
> Tested OK on Mageia 6 x86_64, system described in bug 23316 comment 7.

That was with kernel-desktop.
Comment 16 William Kenney 2018-07-23 15:51:22 CEST
In a Vbox client, M6, Mate, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.50-desktop-2.mga6 #1 SMP Mon Jun 18 13:19:12 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.50-2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.50-2.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 20:46:05 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 17 William Kenney 2018-07-23 19:59:20 CEST
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.50-desktop-2.mga6 #1 SMP Mon Jun 18 11:23:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.50-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.50-2.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.56-desktop-1.mga6 #1 SMP Mon Jul 16 19:36:06 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.56-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.14-6.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.56-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 18 Thomas Backlund 2018-07-25 09:43:09 CEST
Advisory (added to svn):

type: security
subject: Updated kernel packages fixes security vulnerabilities
CVE:
 - CVE-2018-1087
 - CVE-2018-1118
 - CVE-2018-8897
 - CVE-2018-10840
 - CVE-2018-10876
 - CVE-2018-10877
 - CVE-2018-10879
 - CVE-2018-10880
 - CVE-2018-10881
 - CVE-2018-10882
 - CVE-2018-10883
 - CVE-2018-11412
 - CVE-2018-13405
src:
  6:
   core:
     - kernel-4.14.56-1.mga6
     - kernel-userspace-headers-4.14.56-1.mga6
     - kmod-vboxadditions-5.2.14-6.mga6
     - kmod-virtualbox-5.2.14-6.mga6
     - kmod-xtables-addons-2.13-48.mga6
     - wireguard-tools-0.0.20180708-1.mga6
description: |
  This kernel update is based on the upstream 4.14.56 and fixes atleast
  the following security issues:

  kernel KVM before versions kernel 4.16, kernel 4.16-rc7, kernel 4.17-rc1,
  kernel 4.17-rc2 and kernel 4.17-rc3 is vulnerable to a flaw in the way the
  Linux kernel's KVM hypervisor handled exceptions delivered after a stack
  switch operation via Mov SS or Pop SS instructions. During the stack switch
  operation, the processor did not deliver interrupts and exceptions, rather
  they are delivered once the first instruction after the stack switch is
  executed. An unprivileged KVM guest user could use this flaw to crash the
  guest or, potentially, escalate their privileges in the guest
  (CVE-2018-1087).
 
  Linux kernel vhost since version 4.8 does not properly initialize memory in
  messages passed between virtual guests and the host operating system in the
  vhost/vhost.c:vhost_new_msg() function. This can allow local privileged
  users to read some kernel memory contents when reading from the
  /dev/vhost-net device file (CVE-2018-1118).

  In some circumstances, some operating systems or hypervisors may not expect
  or properly handle an Intel architecture hardware debug exception. The error
  appears to be due to developer interpretation of existing documentation for
  certain Intel architecture interrupt/exception instructions, namely MOV SS
  and POP SS. An authenticated attacker may be able to read sensitive data in
  memory or control low-level operating system functions (CVE-2018-8897).

  Linux kernel is vulnerable to a heap-based buffer overflow in the 
  fs/ext4/xattr.c:ext4_xattr_set_entry() function. An attacker could exploit
  this by operating on a mounted crafted ext4 image (CVE-2018-10840).

  A flaw was found in Linux kernel ext4 File System. A use-after-free in
  ext4_ext_remove_space() when mounting and operating a crafted ext4 image
  (CVE-2018-10876).

  Linux kernel ext4 filesystem is vulnerable to an out-of-bound access in the
  ext4_ext_drop_refs() function when operating on a crafted ext4 filesystem
  image (CVE-2018-10877).

  A flaw was found in Linux kernel ext4 filesystem. A local user can cause a
  use-after-free in ext4_xattr_set_entry function and so a denial of service
  or possibly unspecified other impact by when renaming a file in a crafted
  ext4 filesystem image (CVE-2018-10879).

  A flaw was found in Linux kernel ext4 filesystem code. A stack-out-of-bounds
  write in ext4_update_inline_data() is possible when mounting and writing to
  a crafted ext4 image. An attacker could use this to cause  a system crash
  and a denial of service (CVE-2018-10880).

  A flaw was found in Linux kernel ext4 filesystem. A local user can cause an
  out-of-bound access in ext4_get_group_info function and so a denial of
  service and a system crash by mounting and operating on a crafted ext4
  filesystem image (CVE-2018-10881).

  A flaw was found in Linux kernel ext4 File System. An out-of-bound write
  when unmounting a crafted ext4 image in fs/jbd2/transaction.c. An attacker
  could use this to cause a denial of service (system crash) (CVE-2018-10882).

  A flaw was found in Linux kernel ext4 File System. An out-of-bound write in
  jbd2_journal_dirty_metadata() that kernel cannot handle when mounting and
  operating a crafted ext4 image. An attacker could use this to cause a
  denial of service (system crash) (CVE-2018-10883).

  In the Linux kernel 4.13 through 4.16.11, ext4_read_inline_data() in
  fs/ext4/inline.c performs a memcpy with an untrusted length value in certain
  circumstances involving a crafted filesystem that stores the system.data
  extended attribute value in a dedicated inode (CVE-2018-11412).

  The inode_init_owner function in fs/inode.c in the Linux kernel through
  4.17.4 allows local users to create files with an unintended group
  ownership, in a scenario where a directory is SGID to a certain group and
  is writable by a user who is not a member of that group. Here, the
  non-member can trigger creation of a plain file whose group ownership is
  that group. The intended behavior was that the non-member can trigger
  creation of a directory (but not a plain file) whose group ownership is
  that group. The non-member can escalate privileges by making the plain
  file executable and SGID (CVE-2018-13405).

  Other changes in this update:

  * WireGuard has been updated to 0.0.20180708.
  * enable Mellanox5 support (mga#23263)
  * enable SMARTPQI support (mga#23305)
  * ext4: check for allocation block validity with block group locked,
    fixes possible data corruption under heavy load
  * Add PCI ID for Cannon Lake PCH-LP and Ice Lake LP AHCI

  For other upstream fixes in this update, see the referenced changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=23315
 - https://bugs.mageia.org/show_bug.cgi?id=23263
 - https://bugs.mageia.org/show_bug.cgi?id=23305
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.51
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.52
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.53
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.54
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.55
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.56

Keywords: (none) => advisory

Comment 19 Thomas Backlund 2018-07-25 10:01:01 CEST
Enough tests, validating

Whiteboard: (none) => mga6-64-ok, mga6-32-ok
Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 20 Mageia Robot 2018-07-25 10:25:31 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2018-0324.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED

Comment 21 Morgan Leijström 2018-08-10 11:37:37 CEST
(In reply to Morgan Leijström from comment #4)
 
> *) using Fn+F4 and Fn+F12 respectively - Somehow the Plasma battery icon
> have gone missing and logout menu do not contain suspend nor hibernate any
> longer!

Some update since then have fixed that :)

Note You need to log in before you can comment on or make changes to this bug.